Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns `true` if all elements match the given `predicate`.
 *
 * @param {(T) => boolean} predicate
 * @returns {boolean}
 */
function all(predicate) {
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        if (!predicate(item)) {
            return false;
        }
    }
    return true;
}
exports.default = all;
//# sourceMappingURL=all.js.map