Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns `true` if at least one element match the given `predicate`.
 *
 * @param {(T) => boolean} predicate
 * @returns {boolean}
 */
function any(predicate) {
    if (predicate == null) {
        return this.iterator.hasNext();
    }
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        if (predicate(item)) {
            return true;
        }
    }
    return false;
}
exports.default = any;
//# sourceMappingURL=any.js.map