Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Transforms each element into a key-value pair and returns the results as map. In case of
 * duplicate keys the last key-value pair overrides the other.
 *
 * @param {(value: T) => [K , V]} transform
 * @returns {Map<K, V>}
 */
function associate(transform) {
    var result = new Map();
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        var pair = transform(item);
        result.set(pair[0], pair[1]);
    }
    return result;
}
exports.default = associate;
//# sourceMappingURL=associate.js.map