import Sequence from "./Sequence";
/**
 * Returns a map consisting of the elements mapped by the given `keySelector`. The value
 * can optionally be transformed into another value by specifying a `valueTransformer`.
 *
 * @param {(value: T) => K} keySelector
 * @param {(value: T) => V} valueTransform
 * @returns {Map<K, T | V>}
 */
declare function associateBy<T, K, V>(this: Sequence<T>, keySelector: (value: T) => K, valueTransform?: (value: T) => V): Map<K, V | T>;
export default associateBy;
