Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the number of elements of this sequence. If `predicate` is present, returns
 * the number of elements matching the given `predicate`.
 *
 * @param {(T) => boolean} predicate
 * @returns {number}
 */
function count(predicate) {
    var num = 0;
    if (predicate == null) {
        while (this.iterator.hasNext()) {
            this.iterator.next();
            num++;
        }
    }
    else {
        while (this.iterator.hasNext()) {
            var item = this.iterator.next();
            if (predicate(item)) {
                num++;
            }
        }
    }
    return num;
}
exports.default = count;
//# sourceMappingURL=count.js.map