Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a new sequence which discards the first `n` elements;
 *
 * @param {number} n
 * @returns {Sequence<T>}
 */
function drop(n) {
    return this.withIndex()
        .dropWhile(function (it) { return it.index < n; })
        .map(function (it) { return it.value; });
}
exports.default = drop;
//# sourceMappingURL=drop.js.map