Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the first element of the sequence or the first element matching `predicate` if present, otherwise throws
 * an error.
 *
 * @param {(T) => boolean} predicate
 * @returns {T}
 */
function first(predicate) {
    if (predicate != null) {
        return this.filter(predicate).first();
    }
    if (!this.iterator.hasNext()) {
        throw new Error("No such element");
    }
    return this.iterator.next();
}
exports.default = first;
//# sourceMappingURL=first.js.map