Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the first element of the sequence or the first element matching `predicate` if present, otherwise returns `null`.
 *
 * @param {(T) => boolean} predicate
 * @returns {T}
 */
function firstOrNull(predicate) {
    if (predicate != null) {
        return this.filter(predicate).firstOrNull();
    }
    return this.iterator.hasNext()
        ? this.iterator.next()
        : null;
}
exports.default = firstOrNull;
//# sourceMappingURL=firstOrNull.js.map