Object.defineProperty(exports, "__esModule", { value: true });
var Sequence_1 = require("./Sequence");
/**
 * Returns a single flat sequence of all the items from all sequences or iterables.
 *
 * @returns {Sequence<T>}
 */
function flatten() {
    return this.flatMap(function (it) {
        if (it instanceof Sequence_1.default) {
            return it;
        }
        else {
            return Sequence_1.asSequence(it);
        }
    });
}
exports.default = flatten;
//# sourceMappingURL=flatten.js.map