Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Accumulates all elements of the sequence into a single result by applying the given `operation` starting with
 * the `initial` value. The result of the last operation will be passed as accumulated value to the next invocation
 * of the operation until all elements of the sequence are processed.
 *
 * @param {R} initial
 * @param {(acc: R, element: T) => R} operation
 * @returns {R}
 */
function fold(initial, operation) {
    var result = initial;
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        result = operation(result, item);
    }
    return result;
}
exports.default = fold;
//# sourceMappingURL=fold.js.map