Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Performs the given `action` (side-effect) for each element of the sequence and passes the `index` of the current
 * element (zero-based).
 *
 * @param {(index: number, value: T) => void} action
 */
function forEachIndexed(action) {
    this.withIndex()
        .forEach(function (it) { return action(it.index, it.value); });
}
exports.default = forEachIndexed;
//# sourceMappingURL=forEachIndexed.js.map