Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Groups all elements of the sequence into a map. Keys are determined by the given `keySelector` function.
 *
 * @param {(value: T) => K} keySelector
 * @returns {Map<K, Array<T>>}
 */
function groupBy(keySelector) {
    var result = new Map();
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        var key = keySelector(item);
        var array = result.get(key);
        if (array == null) {
            result.set(key, [item]);
        }
        else {
            array.push(item);
        }
    }
    return result;
}
exports.default = groupBy;
//# sourceMappingURL=groupBy.js.map