Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the zero-based index of the last element matching the given `predicate` or -1 if no element matches
 * the predicate.
 *
 * @param {(value: T) => boolean} predicate
 * @returns {number}
 */
function indexOfLast(predicate) {
    var index = 0;
    var result = -1;
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        if (predicate(item)) {
            result = index;
        }
        index++;
    }
    return result;
}
exports.default = indexOfLast;
//# sourceMappingURL=indexOfLast.js.map