import Sequence from "./Sequence";
export interface JoinConfig<T> {
    value?: string;
    separator?: string;
    prefix?: string;
    postfix?: string;
    limit?: number;
    truncated?: string;
    transform?: (value: T) => string;
}
/**
 * Joins all elements of the sequence into a string with the given configuration.
 *
 * @param {JoinConfig<T>} config
 * @returns {string}
 */
declare function joinToString<T>(this: Sequence<T>, config?: JoinConfig<T>): string;
export default joinToString;
