Object.defineProperty(exports, "__esModule", { value: true });
var Sequence_1 = require("./Sequence");
var MapIterator = (function () {
    function MapIterator(transform, iterator) {
        this.transform = transform;
        this.iterator = iterator;
    }
    MapIterator.prototype.hasNext = function () {
        return this.iterator.hasNext();
    };
    MapIterator.prototype.next = function () {
        var item = this.iterator.next();
        return this.transform(item);
    };
    return MapIterator;
}());
/**
 * Transforms each element into another value by applying the given `transform` function and returns a new sequence.
 *
 * @param {(T) => S} transform
 * @returns {Sequence<S>}
 */
function map(transform) {
    return new Sequence_1.default(new MapIterator(transform, this.iterator));
}
exports.default = map;
//# sourceMappingURL=map.js.map