Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Transforms each element into another value by applying the given `transform` function and returns a new sequence.
 *
 * @param {(index: number, value: T) => R} transform
 * @returns {Sequence<R>}
 */
function mapIndexed(transform) {
    return this.withIndex()
        .map(function (it) { return transform(it.index, it.value); });
}
exports.default = mapIndexed;
//# sourceMappingURL=mapIndexed.js.map