Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the minimum element by comparing the results of the given `selector` function
 * for each element of the sequence or `null` if the sequence is empty.
 *
 * @param {(value: T) => R} selector
 * @returns {T}
 */
function minBy(selector) {
    var min = null;
    var minSelected = null;
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        var value = selector(item);
        if (minSelected == null || value < minSelected) {
            minSelected = value;
            min = item;
        }
    }
    return min;
}
exports.default = minBy;
//# sourceMappingURL=minBy.js.map