Object.defineProperty(exports, "__esModule", { value: true });
var Sequence_1 = require("./Sequence");
/**
 * Removes the given `data` and returns a new sequence. Data can either be a single element, an array of elements
 * or a sequence of elements.
 *
 * @param {Sequence<T> | Array<T> | T} data
 * @returns {Sequence<T>}
 */
function minus(data) {
    if (data instanceof Sequence_1.default) {
        var array_1 = data.toArray();
        return this.filter(function (it) { return array_1.indexOf(it) < 0; });
    }
    else if (data instanceof Array) {
        return this.filter(function (it) { return data.indexOf(it) < 0; });
    }
    else {
        return this.filter(function (it) { return it !== data; });
    }
}
exports.default = minus;
//# sourceMappingURL=minus.js.map