Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Performs the given `action` for each element and returns the sequence.
 *
 * @param {(value: T) => void} action
 * @returns {Sequence<T>}
 */
function onEach(action) {
    return this.map(function (it) {
        action(it);
        return it;
    });
}
exports.default = onEach;
//# sourceMappingURL=onEach.js.map