Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Reduces the whole sequence to a single value by invoking `operation` with each element
 * from left to right. For every invocation of the operation `acc` is the result of the last
 * invocation. For the first invocation of the operation `acc` is the first element of the
 * sequence.
 *
 * @param {(acc: S, value: T) => S} operation
 * @returns {S}
 */
function reduce(operation) {
    if (!this.iterator.hasNext()) {
        throw new Error("Cannot reduce empty sequence");
    }
    var result = this.iterator.next();
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        result = operation(result, item);
    }
    return result;
}
exports.default = reduce;
//# sourceMappingURL=reduce.js.map