Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns the sum of all numbers specified by the given `selector` function.
 *
 * @param {(value: T) => number} selector
 * @returns {number}
 */
function sumBy(selector) {
    var result = 0;
    while (this.iterator.hasNext()) {
        var item = this.iterator.next();
        result += selector(item);
    }
    return result;
}
exports.default = sumBy;
//# sourceMappingURL=sumBy.js.map