Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Returns a new sequence consisting of the first `n` elements. All other elements
 * are discarded.
 *
 * @param {number} n
 * @returns {Sequence<T>}
 */
function take(n) {
    return this.withIndex()
        .takeWhile(function (it) { return it.index < n; })
        .map(function (it) { return it.value; });
}
exports.default = take;
//# sourceMappingURL=take.js.map