import Sequence from "./Sequence";
/**
 * Returns a new sequence consisting of pairs built the elements of both sequences
 * with the same index. The resulting sequence has the length of the shortest input
 * sequence. All other elements are discarded.
 *
 * @param {Sequence<S>} other
 * @returns {Sequence<[T , S]>}
 */
declare function zip<T, S>(this: Sequence<T>, other: Sequence<S>): Sequence<[T, S]>;
export default zip;
